<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */
class Pruefziffer_58 implements IPruefziffer
{
  public static function check($pKtoNr, $pBlz, $pGewichtung = array(), $pPruefZifferStelle = 9)
  {
    if (strlen(((string)($pKtoNr * 1))) < 6) {
      return false;
    }

    $gewichtung = array(0, 2, 3, 4, 5, 6, 0, 0, 0, 0);

    return Pruefziffer_02::check($pKtoNr, $pBlz, $gewichtung, $pPruefZifferStelle);
  }
}